package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.UserFileInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.UserFileInfoMapper")
public interface UserFileInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserFileInfo record);

    UserFileInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserFileInfo record);

    List<UserFileInfo> queryAllUserFileInfo(UserFileInfo record);

    List<UserFileInfo> queryUserFileInfoByPage(Map<String, Object> parameter);

    int delete(UserFileInfo record);

    UserFileInfo queryUserFileInfo(UserFileInfo record);

    List<UserFileInfo> query(UserFileInfo record);
}

